MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003185ATutorAdminpublic2007-10-13 02:332008-08-21 08:57
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.5.5 
Target VersionFixed in Version1.6 
Summary0003185: Imperfect message when deleting admin
DescriptionWhen deleting an administrator, a message about instructors which own courses is shown.
Additionally, the admin's name is output in the same line.

Solution:
1. Create a separate language variable for deleting an admin.
and
2. Change line 54 (as of 1.5.5) of /admin/admins/delete.php to:
    $name_html = '
  • '.$row['login'].'</il>
';
    $confirm = array('DELETE_USER', $name_html);
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002592)
greg (administrator)
2007-12-09 04:36

Replaced DELETE_USER with DELETE_ADMIN lang var, and added a BR to move listed admins to the next line
(0002760)
IndieRect (reporter)
2008-01-22 00:16
edited on: 2008-01-22 00:17

ATutor version: 1.6 RC1

When deleting an admin, the confirmation message reads:
"Are you sure you want to delete the following administrator(s)?"
The admins that are going to be deleted are not listed.

Supposed reason:
In the AT_CONFIRM_DELETE_ADMIN language var, "%s" is absent.

More info:
Compare AT_CONFIRM_DELETE_ADMIN to AT_CONFIRM_DELETE_USER.

(0002761)
greg (administrator)
2008-01-22 04:05

Language string missing the replacement variable %s. Language db for en has been updated.

- Issue History
Date Modified Username Field Change
2007-10-13 02:33 IndieRect New Issue
2007-10-13 02:33 IndieRect Affects version => SVN
2007-12-09 04:36 greg Status new => resolved
2007-12-09 04:36 greg Fixed in Version => 1.6
2007-12-09 04:36 greg Resolution open => fixed
2007-12-09 04:36 greg Assigned To => greg
2007-12-09 04:36 greg Note Added: 0002592
2008-01-22 00:16 IndieRect Status resolved => feedback
2008-01-22 00:16 IndieRect Resolution fixed => reopened
2008-01-22 00:16 IndieRect Note Added: 0002760
2008-01-22 00:17 IndieRect Note Edited: 0002760
2008-01-22 04:05 greg Status feedback => resolved
2008-01-22 04:05 greg Resolution reopened => fixed
2008-01-22 04:05 greg Note Added: 0002761
2008-08-21 08:57 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker